Bug 835369 - WSRP: The supportedOptions element in the producers response to a getServiceDescription request is missing the supported features
WSRP: The supportedOptions element in the producers response to a getServiceD...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.GA
Unspecified Unspecified
high Severity high
: ---
: 5.2.2.ER01
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 01:08 EDT by Martin Weiler
Modified: 2015-08-31 23:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The WSRP Producer was ignoring several optional elements when returning a service description response to the consumer, including the supportedOptions element. WSRP Consumers that were relying on these optional elements to tailor their communication with the producer could behave improperly based on wrong assumptions due to missing (though optional) information. The WSRP Producer now properly emits the supportedOptions element in its service description response, which allows Consumers to properly tailor their behavior, and results in improved interoperability with third-party consumers.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNWSRP-262 Major Resolved Properly support WSRP feature checking and support via supportedOptions 2014-09-02 05:12:36 EDT
JBoss Issue Tracker GTNWSRP-295 Major Resolved Producer should emit supportedOptions 2014-09-02 05:12:36 EDT

  None (edit)
Description Martin Weiler 2012-06-26 01:08:56 EDT
Description of problem:
Using EPP as producer, the getServiceDescription request is not returning the supportedOptions element in the response.

Version-Release number of selected component (if applicable):
WSRP 2.1.0.GA

How reproducible:
Always

Steps to Reproduce:
1. Using SoapUI, send a getServiceDescription request to EPP.
  
Actual results:
Response missing the supportedOptions element:
<env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
   <env:Header/>
   <env:Body>
      <getServiceDescriptionResponse xmlns="urn:oasis:names:tc:wsrp:v2:types">
         <requiresRegistration>false</requiresRegistration>
         <offeredPortlets>
            <!-- SNIP -->
         </offeredPortlets>
         <requiresInitCookie>perUser</requiresInitCookie>
         <locales>en-US</locales>
         <locales>en</locales>
      </getServiceDescriptionResponse>
   </env:Body>
</env:Envelope>

Expected results:
<env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
   <env:Header/>
   <env:Body>
      <getServiceDescriptionResponse xmlns="urn:oasis:names:tc:wsrp:v2:types">
         <requiresRegistration>false</requiresRegistration>
         <offeredPortlets>
            <!-- SNIP -->
         </offeredPortlets>
         <requiresInitCookie>perUser</requiresInitCookie>
         <locales>en-US</locales>
         <locales>en</locales>
         <supportedOptions>wsrp:import</supportedOptions>
         <supportedOptions>wsrp:export</supportedOptions>         
      </getServiceDescriptionResponse>
   </env:Body>
</env:Envelope>

Additional info:
This is already fixed in WSRP 2.2.0: 
https://issues.jboss.org/browse/GTNWSRP-262
Comment 1 JBoss JIRA Server 2012-07-11 05:39:48 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNWSRP-295

Martin Weiler <mweiler@redhat.com> made a comment on [bug 835369|https://bugzilla.redhat.com/show_bug.cgi?id=835369]

Description of problem:
Using EPP as producer, the getServiceDescription request is not returning the supportedOptions element in the response.

Version-Release number of selected component (if applicable):
WSRP 2.1.0.GA

How reproducible:
Always

Steps to Reproduce:
1. Using SoapUI, send a getServiceDescription request to EPP.
  
Actual results:
Response missing the supportedOptions element:
<env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
   <env:Header/>
   <env:Body>
      <getServiceDescriptionResponse xmlns="urn:oasis:names:tc:wsrp:v2:types">
         <requiresRegistration>false</requiresRegistration>
         <offeredPortlets>
            <!-- SNIP -->
         </offeredPortlets>
         <requiresInitCookie>perUser</requiresInitCookie>
         <locales>en-US</locales>
         <locales>en</locales>
      </getServiceDescriptionResponse>
   </env:Body>
</env:Envelope>

Expected results:
<env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
   <env:Header/>
   <env:Body>
      <getServiceDescriptionResponse xmlns="urn:oasis:names:tc:wsrp:v2:types">
         <requiresRegistration>false</requiresRegistration>
         <offeredPortlets>
            <!-- SNIP -->
         </offeredPortlets>
         <requiresInitCookie>perUser</requiresInitCookie>
         <locales>en-US</locales>
         <locales>en</locales>
         <supportedOptions>wsrp:import</supportedOptions>
         <supportedOptions>wsrp:export</supportedOptions>         
      </getServiceDescriptionResponse>
   </env:Body>
</env:Envelope>

Additional info:
This is already fixed in WSRP 2.2.0: 
https://issues.jboss.org/browse/GTNWSRP-262
Comment 2 JBoss JIRA Server 2012-07-11 05:43:52 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNWSRP-295

This was fixed by commit https://source.jboss.org/changelog/GateInWsrp?cs=85ecf852dc9072b600360f5bf17b45af1d3175dc
Comment 3 JBoss JIRA Server 2012-07-11 05:45:22 EDT
Chris Laprun <chris.laprun@jboss.com> updated the status of jira GTNWSRP-295 to Closed
Comment 4 JBoss JIRA Server 2012-07-11 05:45:37 EDT
Chris Laprun <chris.laprun@jboss.com> updated the status of jira GTNWSRP-295 to Reopened
Comment 5 Jared MORGAN 2012-08-21 00:31:06 EDT
This is a customer orginated ticket. It needs CCFR written for inclusion in the Release Notes for 5.2.2. Added placeholder text to fill in.
Comment 6 Jared MORGAN 2012-08-21 00:31:07 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
CAUSE:

CONSEQUENCE:

FIX:

RESULT:
Comment 7 claprun 2012-08-21 05:18:10 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,7 @@
-CAUSE:
+CAUSE: The WSRP Producer was ignoring several optional elements when returning a service description response to the consumer, including the supportedOptions element. 
 
-CONSEQUENCE:
+CONSEQUENCE: WSRP Consumers that were relying on this optional elements to tailor their communication with the producer could behave improperly based on wrong assumptions due to missing (though optional) information.
 
-FIX:
+FIX: The WSRP Producer now properly emit the supportedOptions element in its service description response, thus affording Consumers to properly tailor their behavior.
 
-RESULT:+RESULT: Improved interoperability with third-party consumers.
Comment 9 Jared MORGAN 2012-08-21 17:09:47 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-CAUSE: The WSRP Producer was ignoring several optional elements when returning a service description response to the consumer, including the supportedOptions element. 
+The WSRP Producer was ignoring several optional elements when returning a service description response to the consumer, including the supportedOptions element. WSRP Consumers that were relying on these optional elements to tailor their communication with the producer could behave improperly based on wrong assumptions due to missing (though optional) information.  The WSRP Producer now properly emits the supportedOptions element in its service description response, which allows Consumers to properly tailor their behavior, and results in improved interoperability with third-party consumers.-
-CONSEQUENCE: WSRP Consumers that were relying on this optional elements to tailor their communication with the producer could behave improperly based on wrong assumptions due to missing (though optional) information.
-
-FIX: The WSRP Producer now properly emit the supportedOptions element in its service description response, thus affording Consumers to properly tailor their behavior.
-
-RESULT: Improved interoperability with third-party consumers.
Comment 10 Viliam Rockai 2012-08-28 07:22:12 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.